Bug 1995198 - OLM tests are failing on aws arm64
Summary: OLM tests are failing on aws arm64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.0
Assignee: Anik
QA Contact: xzha
URL:
Whiteboard:
Depends On:
Blocks: 1999198
TreeView+ depends on / blocked
 
Reported: 2021-08-18 15:51 UTC by Stephen Benjamin
Modified: 2021-10-18 17:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1999198 (view as bug list)
Environment:
job=periodic-ci-openshift-multiarch-master-nightly-4.9-ocp-installer-e2e-aws-arm64=all
Last Closed: 2021-10-18 17:47:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 26422 0 None None None 2021-08-23 12:27:54 UTC
Github openshift origin pull 26435 0 None None None 2021-08-31 04:34:29 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:47:40 UTC

Description Stephen Benjamin 2021-08-18 15:51:01 UTC
On periodic-ci-openshift-release-master-nightly-4.9-e2e-aws-arm64, "an end user can use OLM can subscribe to the operator" is consistently failing.  Should this be skipped on ARM? Is there something wrong that needs to be fixed?


See TestGrid:
https://testgrid.k8s.io/redhat-openshift-ocp-release-4.9-informing#periodic-ci-openshift-release-master-nightly-4.9-e2e-aws-arm64


Example job:
https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/periodic-ci-openshift-release-master-nightly-4.9-e2e-aws-arm64/1427342364967440384

Aug 17 19:37:20.110: INFO: Running 'oc --kubeconfig=/tmp/kubeconfig-646075354 create -f /tmp/e2e-test-olm-23440-qbqbr-config.json'
subscription.operators.coreos.com/test-operator created
Aug 17 19:37:20.374: INFO: Running 'oc --namespace=e2e-test-olm-23440-qbqbr --kubeconfig=/tmp/kubeconfig-646075354 get -n e2e-test-olm-23440-qbqbr subscription test-operator -o=jsonpath={.status.installedCSV}'
[...]
[AfterEach] [sig-operator] an end user can use OLM
  github.com/openshift/origin/test/extended/util/client.go:140
STEP: Collecting events from namespace "e2e-test-olm-23440-qbqbr".
fail [github.com/openshift/origin/test/extended/operators/olm.go:257]: Timed out after 300.000s.
Expected
    <string>: 
not to equal
    <string>:

Comment 12 errata-xmlrpc 2021-10-18 17:47:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.